#include <iostream>
#include <string>
#include <vector>
using namespace std;

int main()
{
    string s,t;
    cin>>s>>t;
    vector<int> vs(t.size());
    for(int i=0;i<t.size();i++)
    {
        vs[i]=0;
    }
    int j=0;
    int c=0;
    int mini=10000;
    for(int i=0;i<s.size();i++)
    {
        if(j<t.size())
        {
            if(s[i]==t[j])
            {
                vs[j]++;
            }
            else
            {
                if(mini>vs[j])
                {
                    mini=vs[j];
                    c=j;
                }
                j++;
            }
        }

    }
    cout<<mini+1<<endl;
    j=0;
    for(int i=0;i<s.size();i++)
    {
        if(s[i]!=t[j])
        {
            cout<<s[i];
         //   j++;
        }
        else
        {
            if(s[i]!=t[c])
            {
                cout<<s[i];
                j++;
            }
            else
            {
                cout<<"*";
            }
        }
    }
    //cout<<maksi;
    return 0;
}